Subject: Re: [bug#71832] [PATCH v6 2/3] gnu: Add nss-rapid.

From: Ian Eure <[email-masked]>
Date: Sat, 17 Aug 2024 16:51:12 -0700

Thank you for taking a look.  It seems like the build process crashed when running the extensive test suite.  Both these packages are resource-intensive to build.  A machine with 16gb RAM and no swap will OOM, but a 24gb machine can complete them.  Perhaps there's a clue in dmesg?

I built both nss-rapid and librewolf locally and made sure they seemed to work prior to sending the patch series.

On August 17, 2024 4:33:14 PM PDT, Vagrant Cascadian <[email-masked]> wrote:
>On 2024-08-17, Vagrant Cascadian wrote:
>> On 2024-08-17, Ian Eure wrote:
>>> * gnu/packages/nss.scm (nss-rapid): New variable.
>>>
>>> Change-Id: I2bdd2119fb0c857feae9eb2e47a28909b8228cd7
>>> ---
>>>  gnu/packages/nss.scm | 67 ++++++++++++++++++++++++++++++++++++++++++++
>>>  1 file changed, 67 insertions(+)
>>
>> Unfortunately, this failed to build:
>>
>> error: in phase 'check': uncaught exception:
>> %exception #<&invoke-error program: "faketime" arguments: ("2024-08-17" "./nss/tests/all.sh") exit-status: 1 term-signal: #f stop-signal: #f>
>> phase `check' failed after 1983.7 seconds
>> command "faketime" "2024-08-17" "./nss/tests/all.sh" failed with status 1
>> builder for `/gnu/store/nhzx27ndgbhsbl0kjnv49xsy3xdy0a66-nss-rapid-3.103.drv' failed with exit code 1
>> build of /gnu/store/nhzx27ndgbhsbl0kjnv49xsy3xdy0a66-nss-rapid-3.103.drv failed
>> View build log at '/var/log/guix/drvs/nh/zx27ndgbhsbl0kjnv49xsy3xdy0a66-nss-rapid-3.103.drv.gz'.
>> guix build: error: build of `/gnu/store/nhzx27ndgbhsbl0kjnv49xsy3xdy0a66-nss-rapid-3.103.drv' failed
>
>Hrm. The build log was truncated and I could not find the actual
>errors. There were two test suite failures... :/
>
>I tried to build it again and it worked this time... hrm.
>
>live well,
>  vagrant